composite(1)

COMPOSITE

NAME
composite - composite images together.

SYNOPSIS
composite [ options ... ] change-image base-image [ mask-image ] output-image

DESCRIPTION
composite composites (combines) images to create new images. base-image is the base image and change-image contains the changes. ouput-image is the result, and normally has the same dimensions as base-image. The optional mask-image can be used to provide opacity information for change-image when it has none or if you want a different mask. A mask image is typically grayscale and the same size as base-image. If mask-image is not grayscale, it is converted to grayscale and the resulting intensities are used as opacity information.

EXAMPLES
To composite an image of a cockatoo with a perch, use:
    composite cockatoo.miff perch.ras composite.miff To compute the difference between images in a series, use:
    composite -compose difference series.2 series.1
              difference.miff To composite an image of a cockatoo with a perch starting at location (100,150), use:
    composite -geometry +100+150 cockatoo.miff
              perch.ras composite.miff To tile a logo across your image of a cockatoo, use
    convert +shade 30x60 cockatoo.miff mask.miff
    composite -compose bumpmap -tile logo.png
              cockatoo.miff mask.miff composite.miff To composite a red, green, and blue color plane into a single composite image, try
    composite -compose CopyGreen green.png red.png
              red-green.png
    composite -compose CopyBlue blue.png red-green.png
              composite.png

OPTIONS
Options are processed in command line order. Any option you specify on the command line remains in effect only for the image that follows. All options are reset to their default values after each image is read. For a more detailed description of each option, see Options, above. ImageMagick(1).

-authenticate <string>
    decrypt image with this password

-background <color>
    the background color

-blue-primary <x>,<y>
    blue chromaticity primary point

-cache <threshold>
    (This option has been replaced by the -limit option)

-colors <value>
    preferred number of colors in the image

-colorspace <value>
    the type of colorspace

-comment <string>
    annotate an image with a comment

-compose <operator>
    the type of image composition

-compress <type>
    the type of image compression

-debug <events>
    enable debug printout

-define <key>{=<value>},...
    add coder/decoder specific options

-density <width>x<height>
    horizontal and vertical resolution in pixels of the image

-depth <value>
    depth of the image

-displace <horizontal scale>x<vertical scale>
    shift image pixels as defined by a displacement map

-display <host:display[.screen]>
    specifies the X server to contact

-dispose <method>
    GIF disposal method

-dissolve <percent>
    dissolve an image into another by the given percent

-dither
    apply Floyd/Steinberg error diffusion to the image

-encoding <type>
    specify the text encoding

-endian <type>
    specify endianness (MSB or LSB) of the image

-filter <type>
    use this type of filter when resizing an image

-font <name>
    use this font when annotating the image with text

-geometry <width>x<height>{+-}<x>{+-}<y>{%}{@} {!}{<}{>}
    preferred size and location of the Image window.

-gravity <type>
    direction primitive gravitates to when annotating the image.

-green-primary <x>,<y>
    green chromaticity primary point

-help
    print usage instructions

-interlace <type>
    the type of interlacing scheme

-label <name>
    assign a label to an image

-limit <type> <value>
    Area, Disk, File, Map, or Memory resource limit

-log <string>
    Specify format for debug log

-matte
    store matte channel if the image has one

-monochrome
    transform the image to black and white

-negate
    replace every pixel with its complementary color

-page <width>x<height>{+-}<x>{+-}<y>{%}{!}{<}{>}
    size and location of an image canvas

-profile <filename>
    add ICM, IPTC, or generic profile to image

-quality <value>
    JPEG/MIFF/PNG compression level

-red-primary <x>,<y>
    red chromaticity primary point

-render
    render vector operations

-resize <width>x<height>{%}{@}{!}{<}{>}
    resize an image

-rotate <degrees>{<}{>}
    apply Paeth image rotation to the image

-sampling-factor <horizontal_factor>x<vertical_factor>
    sampling factors used by JPEG or MPEG-2 encoder and YUV decoder/encoder.

-scene <value>
    set scene number

-sharpen <radius>{x<sigma>}
    sharpen the image

-size <width>x<height>{+offset}
    width and height of the image

-stegano <offset>
    hide watermark within an image

-stereo
    composite two images to create a stereo anaglyph

-strip
    strip the image of any profiles or comments

-thumbnail <width>x<height>{%}{@}{!}{<}{>}
    create a thumbnail of the image

-treedepth <value>
    tree depth for the color reduction algorithm

-trim
    trim an image

-type <type>
    the image type

-units <type>
    the units of image resolution

-unsharp <radius>{x<sigma>}{+<amount>}{+<threshold>}
    sharpen the image with an unsharp mask operator

-verbose
    print detailed information about the image

-version
    print ImageMagick version string

-watermark <brightness>
    percent brightness of a watermark

-white-point <x>,<y>
    chromaticity white point

-write <filename>
    write an image sequence [convert, composite] For a more detailed description of each option, see Options, above. ImageMagick(1).

ENVIRONMENT

COLUMNS
    Output screen width. Used when formatting text for the screen. Many Unix systems keep this shell variable up to date, but it may need to be explicitly exported in order for ImageMagick to see it.

DISPLAY
    X11 display ID (host, display number, and screen in the form hostname:display.screen).

HOME
    Location of user's home directory. ImageMagick searches for configuration files in $HOME/.magick if the directory exists. See MAGICK_CODER_MODULE_PATH, MAGICK_CONFIGURE_PATH, and MAGICK_FILTER_MODULE_PATH if more flexibility is needed.

MAGICK_CODER_MODULE_PATH
    Search path to use when searching for image format coder modules. This path allows the user to arbitrarily extend the image formats supported by ImageMagick by adding loadable modules to an arbitrary location rather than copying them into the ImageMagick installation directory. The formatting of the search path is similar to operating system search paths (i.e. colon delimited for Unix, and semi-colon delimited for Microsoft Windows). This user specified search path is used before trying the default search path.

MAGICK_CONFIGURE_PATH
    Search path to use when searching for configuration (.mgk) files. The formatting of the search path is similar to operating system search paths (i.e. colon delimited for Unix, and semi-colon delimited for Microsoft Windows). This user specified search path is used before trying the default search path.

MAGICK_DEBUG
    Debug options (see -debug for details)

MAGICK_FILTER_MODULE_PATH
    Search path to use when searching for filter process modules (invoked via -process). This path allows the user to arbitrarily extend ImageMagick's image processing functionality by adding loadable modules to an arbitrary location rather than copying them into the ImageMagick installation directory. The formatting of the search path is similar to operating system search paths (i.e. colon delimited for Unix, and semi-colon delimited for Microsoft Windows). This user specified search path is used before trying the default search path.

MAGICK_FONT_PATH
    Directory where ImageMagick should look for TrueType and Postscript Type1 font files if the font file is not found in the current directory. It is preferred to define the available fonts via type.mgk rather than use MAGICK_FONT_PATH.

MAGICK_HOME
    Path to top of ImageMagick installation directory. Only observed by "uninstalled" builds of ImageMagick which do not have their location hard-coded or set by an installer.

MAGICK_DISK_LIMIT
    Maximum amount of disk space allowed for use by the pixel cache.

MAGICK_FILES_LIMIT
    Maximum number of open files.

MAGICK_MAP_LIMIT
    Maximum size of a memory map.

MAGICK_MEMORY_LIMIT
    Maximum amount of memory to allocate from the heap.

MAGICK_TMPDIR
    Path to directory where ImageMagick should write temporary files. The default is to use the system default, or the location set by TMPDIR.

TMPDIR
    For POSIX-compatible systems (Unix-compatible), the path to the directory where all applications should write temporary files. Overridden by MAGICK_TMPDIR if it is set.

TMP or TEMP
    For Microsoft Windows, the path to the directory where applications should write temporary files. Overridden by MAGICK_TMPDIR if it is set.

CONFIGURATION FILES
ImageMagick uses a number of XML format configuration files:

colors.mgk
    colors configuration file
      <?xml version="1.0"?>
      <colormap>
        <color name="AliceBlue" red="240" green="248" blue="255"
               compliance="SVG, X11, XPM" />
      </colormap>

delegates.mgk
    delegates configuration file

log.mgk
    logging configuration file
      <?xml version="1.0"?>
      <magicklog>
        <log events="None" />
        <log output="stdout" />
        <log filename="Magick-%d.log" />
        <log generations="3" />
        <log limit="2000" />
        <log format="%t %r %u %p %m/%f/%l/%d:\n %e" />
      </magicklog>

magic.mgk
    file header magic test configuration file
      <?xml version="1.0"?>
      <magicmap>
        <magic name="AVI" offset="0" target="RIFF" />
      </magicmap>

modules.mgk
    loadable modules configuration file
      <?xml version="1.0"?>
      <modulemap>
        <module magick="8BIM" name="META" />
      </modulemap>

type.mgk
    master type (fonts) configuration file
      <?xml version="1.0"?>
      <typemap>
        <include file="type-windows.mgk" />
        <type
          name="AvantGarde-Book"
          fullname="AvantGarde Book"
          family="AvantGarde"
          foundry="URW"
          weight="400"
          style="normal"
          stretch="normal"
          format="type1"
          metrics="/usr/local/share/ghostscript/fonts/a010013l.afm"
          glyphs="/usr/local/share/ghostscript/fonts/a010013l.pfb"
        />
      </typemap>

SEE ALSO
animate(1), display(1), conjure(1), convert(1), identify(1), ImageMagick(1), import(1), mogrify(1), montage(1)

COPYRIGHT
Copyright (C) 1999-2004 ImageMagick Studio LLC. Additional copyrights and licenses apply to this software, see http://www.imagemagick.org/www/Copyright.html